@import url("css.css");


form {
    text-align: center;
    border-radius: 20px;
    background-color: goldenrod;
    margin: 15px;
    transition: all 1.5s ease-in-out;
}

input[type="email"],
input[type="text"],
input[type="texte"],
textarea {
    background-color: black;
    width: 50%;
    height: 60px;
    border-radius: 10px;
    text-align: center;

    transition: all 0.5s ease-in-out;
    color: goldenrod;


}



.invalide {
    background-color: red !important;
    border: 10px solid pink;
    border-image: repeating-linear-gradient(-55deg,
            #000,
            #000 20px,
            #ffb101 20px,
            #ffb101 40px) 10 !important;

}

.label {
    color: red;

}






select {
    width: 50%;
    height: 2em;
    background-color: black;
    color: goldenrod;
    text-align: center;
    font-size: 20px;
    border-radius: 10px;
    transition: all 0.5s ease-in-out;
}

input[type="submit"] {
    background-color: black;
    color: goldenrod;
    width: 50%;
    font-size: 20px;
    border-radius: 10px;
    transition: all 0.5s ease-in-out;
}

form:hover {
    border-radius: 200px;

}


input[type="email"]:hover,
input[type="text"]:hover,
input[type="texte"]:hover,
textarea:hover,
select:hover {
    background-color: goldenrod;
    border-radius: 30px;
    color: black;
    border: solid black 7px;


}

input[type="submit"]:hover {
    background-color: goldenrod;
    color: black;
    border-radius: 30px;
}

select:hover {
    color: black;
}

textarea {
    height: auto;

}